Subject: Re: Marking abandoned branches

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Sep 2006 18:55:33 +0200

A Large Angry SCM wrote:

> Jakub Narebski wrote:
> ...
>> As it was said somewhere in this thread, you can use tags (tag objects)
for
>> that, i.e. tag each of the abandoned branches, explaining why branch wa
>> abandoned for example, remove head refs, and move tag refs to
>> refs/abandoned or refs/tags-abandoned/ or refs/Attic/ or in
refs-abandoned/
>> (the last has the advantage to not be included by default in any command,
>> even when --all is given)
> 
> Using $GIT_DIR/refs-abandoned/ means changing a number of core parts;
> think fsck and friends. Better to decide on a name in $GIT_DIR/refs/ and
> teach the various visualizers to ignore that prefix by default. Maybe
> even make the name a config item. *ducks*

Well, visualisers IIRC shows only requested branches. The only place where
abandoned branches would show even when we probably don't want would be
--all... one can try to use --all --not refs/abandoned/*

I wonder if using the "hidden" directory for abandoned branches 
(i.e. refs/.abandoned) would work...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git